Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1448128 - CVE-2017-8779 rpcbind: Unbounded maximum RPC data size during memory allocation for XDR strings [fedora-all]
Summary: CVE-2017-8779 rpcbind: Unbounded maximum RPC data size during memory allocati...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpcbind
Version: 25
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 15:03 UTC by Andrej Nemec
Modified: 2017-05-15 11:20 UTC (History)
5 users (show)

Fixed In Version: rpcbind-0.2.4-6.rc1.fc26 rpcbind-0.2.4-5.rc1.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-14 20:20:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
patch to fix CVE-2017-8779 (297.12 KB, patch)
2017-05-07 06:50 UTC, Raphael Groner
no flags Details | Diff

Description Andrej Nemec 2017-05-04 15:03:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-05-04 15:03:33 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1448124

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 3 Fedora Update System 2017-05-11 18:05:57 UTC
rpcbind-0.2.4-5.rc1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac407781c3

Comment 4 Fedora Update System 2017-05-11 18:06:07 UTC
rpcbind-0.2.4-6.rc1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36cba32910

Comment 5 Fedora Update System 2017-05-12 13:41:27 UTC
rpcbind-0.2.4-5.rc1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac407781c3

Comment 6 Fedora Update System 2017-05-13 01:12:21 UTC
rpcbind-0.2.4-6.rc1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36cba32910

Comment 7 Jussi Eloranta 2017-05-14 00:02:15 UTC
This new rpcbind just killed my nfs/yellow pages server completely. It is definitely not working correctly. After downgrading rpcbind, everything works again.

Comment 8 Fedora Update System 2017-05-14 20:20:55 UTC
rpcbind-0.2.4-6.rc1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-05-15 04:41:40 UTC
rpcbind-0.2.4-5.rc1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Yu Watanabe 2017-05-15 07:22:13 UTC
The fix causes a new bug. Please see
https://bugzilla.redhat.com/show_bug.cgi?id=1450765

Comment 11 JM 2017-05-15 11:20:32 UTC
(In reply to Jussi Eloranta from comment #7)
> This new rpcbind just killed my nfs/yellow pages server completely. It is
> definitely not working correctly. After downgrading rpcbind, everything
> works again.

Yes, the problem is actually that ypbind kills rpcbind, see bug #1450765 for more information.


Note You need to log in before you can comment on or make changes to this bug.